package com.ktkis.dbsimple

import android.content.ContentValues
import android.content.Context
import android.database.sqlite.SQLiteDatabase
import android.database.sqlite.SQLiteOpenHelper
import android.util.Log
import java.security.AccessControlContext

class StudentHelper(context: Context?):SQLiteOpenHelper(context,DB_NAME,null,DB_VERSION)
{
    override fun onCreate(db: SQLiteDatabase?) {
        val scriptDB="CREATE TABLE Student (Id INTEGER PRIMARY KEY AUTOINCREMENT NOT NULL, Name TEXT)"
        db?.execSQL(scriptDB)
        Log.d("TAG1","BASA SOZDALAS")
    }

    override fun onUpgrade(db: SQLiteDatabase?, oldVersion: Int, newVersion: Int) {
        db?.execSQL("DROP TABLE IF EXISTS Student")
        onCreate(db)
    }
    fun addName(student:Student){
        val values=ContentValues()
        values.put(C_Name,student.name)
        val db=this.writableDatabase
        db.insert(DB_TABLE,null,values)
        db.close()
    }

    companion object
    {
        val TAG ="Sqlite"
        val DB_VERSION=2
        val DB_NAME="basa.db"
        val DB_TABLE="Student"
        val C_id="Id"
        val C_Name="Name"

    }
}
